Subject: Re: [LLMNR] Use of IPv6 link-local multicast addresses [Potential new issue]

From: Mika Liljeberg <[email-masked]>
Date: 08 Mar 2003 23:37:27 +0200

On Sat, 2003-03-08 at 21:52, Bill Sommerfeld wrote:
> > It is unlikely (correct me if I'm wrong) that a NIC will support this
> > many multicast filters in hardware.
> 
> I just took a look at drivers for a few commonly used fast ethernet
> chipsets, and found the following limits:
> 
> 	- 80 literal multicast addresses
> 	- 64-entry hash.
> 	- 128-entry hash.
> 	- 256-entry hash.
> 	- 512-entry hash.
> 
> The "N-entry hash" variety maintain a N-bit vector, and run the
> recieved multicast address through a hash function with N possible
> outputs; if the corresponding bit in the vector is set, the packet is
> received, so you get more graceful degradation as the number of groups
> increases at the cost of slightly more false positives received.

That's a pretty neat approach. The longer bit vectors sound good enough,
although I still can't say that I like the idea of having to listen to
16 different multicast groups just for doing PTR queries. [It would be
possible to optimize this, of course, but that would force the LLMNR
responder to actively monitor all changes in interface configuration.]

> One 802.11 card I looked at has a lower limits (16 literal addresses).
> Another 802.11 card seems to have no multicast filtering at all!
> (though that may be an inadequate driver rather than a deficiency in
> the hardware/firmware).

Needless to say, 802.11 and other wireless interfaces would be a major
use case for LLMNR.

	MikaL

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>